<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Detail</title>
    <style type="text/css">
        .bd-primary{
            background-color: #0275d8;
            border: 2px solid #0275d8;
            border-radius: 15px;
            color: white;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
            width: 120px;
        }

        .bd-primary:hover{
            background-color: #0275d8;
            color: white;
        }



        .bd-warning{
            background-color: #f0ad4e;
            border: 2px solid #f0ad4e;
            border-radius: 15px;
            color: white;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
            width: 120px;
        }

        .bd-danger{
            background-color: #d9534f;
            border: 2px solid #d9534f;
            border-radius: 15px;
            color: white;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
            width: 120px;
        }
    </style>
</head>
<body>
<section layout:fragment="main" class="content">
    <div class="breadcomb-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="breadcomb-list">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-wp">
                                    <div class="breadcomb-icon">
                                        <i class="notika-icon notika-form"></i>
                                    </div>
                                    <div class="breadcomb-ctn">
                                        <h2>
                                            <span th:if="${jadwal.matakuliahKurikulum.matakuliah.namaMatakuliahEnglish != null}" th:text="${jadwal.matakuliahKurikulum.matakuliah.namaMatakuliah + ' ( ' + jadwal.matakuliahKurikulum.matakuliah.namaMatakuliahEnglish + ' ) '}"></span>

                                            <span th:if="${jadwal.matakuliahKurikulum.matakuliah.namaMatakuliahEnglish == null}" th:text="${jadwal.matakuliahKurikulum.matakuliah.namaMatakuliah}"></span>


                                            <p th:text="${jadwal.dosen.karyawan.namaKaryawan}">nama dosen</p>
                                        </h2>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-report">
                                    <a th:href="@{/study/detail(id=${jadwal.id})}">
                                        <button class="btn btn-primary"><i class="fa fa-arrow-circle-left"></i> Back</button>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="normal-table-list mg-t-30">
                    <div class="basic-tb-hd">
                        <h2>Detail Tugas</h2>
                    </div>
                    <h5 th:text="${'Judul Tugas : ' + tugas.namaTugas}"></h5>
                    <div th:if="${tugas.file != null}"> <a th:href="@{/jadwal/{jadwal}/tugas(jadwal=${tugas.id})}" th:text="${tugas.namaFile}"></a></div>
                    <br>
                    <div class="row">
                        <div class="col-md-6 col-sm-12 col-xs-12">
                            <textarea th:text="${tugas.deskripsi}" cols="30" rows="10" class="form-control" readonly disabled>
                                asoajdaosijdoa
                            </textarea>
                        </div>
                        <div class="col-md-6 col-sm-12 col-xs-12">
                            <textarea th:text="${tugas.petunjukAktivitas}" cols="30" rows="10" class="form-control" readonly disabled>
                                asoajdaosijdoa
                            </textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div th:if="${online != null || upload != null}" class="row">
            <div class="col-md-12 col-xs-12">
                <div class="normal-table-list mg-t-30">
                    <div class="row">
                        <div class="col-lg-12 col-md-12">
                            <div th:if="${failedFormat}" class="alert alert-danger alert-dismissible" role="alert">
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true"><i class="notika-icon notika-close"></i></span></button> <b>Gagal!</b> <span th:text="${failedFormat}"></span>
                            </div>
                            <div th:if="${failedSize}" class="alert alert-danger alert-dismissible" role="alert">
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true"><i class="notika-icon notika-close"></i></span></button> <b>Gagal!</b> <span th:text="${failedSize}"></span>
                            </div>
                            <form method="post" th:action="@{/study/tugas}" enctype="multipart/form-data">
                                <div>
                                    <input type="hidden" name="mahasiswa" th:value="${mahasiswa.id}">
                                    <input type="hidden" name="jadwalTugas" th:value="${tugas.id}">
                                    <div th:if="${online}">
                                        <h2>Pertanyaan</h2>
                                        <span th:utext="${tugas.pertanyaan}" readonly disabled ></span>
                                        <br>
                                        <h2>Jawaban</h2>
                                        <textarea th:if="${history != null}" name="jawabanTeks" id="jawab" cols="30" rows="10" th:text="${history.jawabanTeks}" class="form-control"></textarea>
                                        <textarea th:if="${history == null}" name="jawabanTeks" id="jawab" cols="30" rows="10" class="form-control"></textarea>
                                        <p th:if="${history != null}" class="text-primary">Anda telah mengirim tugas ini pada <span th:text="${#temporals.format(history.waktuPengumpulan, 'dd - MM - yyyy HH:ss')}"></span></p>
                                        <br>
                                    </div>
                                    <div th:if="${upload}">
<!--                                            <input type="text" th:text="${kesempatanUpload}" th:value="${kesempatanUpload}">-->
                                        <div th:if="${kesempatanUpload == null}">
                                            <input th:if="${tugas.getTenggatWaktu() >= now}" type="file" name="fileJawaban" class="form-control">
                                            <p style="color: red;">Anda mempunyai <span th:text="${tugas.maksFileUpload}"></span> kali kesempatan upload</p>
                                            <p style="color: red;">Maksimal ukuran file 1MB </p>
                                            <p style="color: red;">Format file yang diterima hanya : doc, docx, pdf, xlsx, xls, ppt, pptx </p>
                                        </div>
                                        <div th:if="${kesempatanUpload != null && kesempatanUpload != 0}">
                                            <a class="text-warning" th:text="${history.namaFile}" th:href="@{/collection/{jawaban}/tugas(jawaban=${history.id})}"></a>
                                            <input th:if="${tugas.getTenggatWaktu() >= now}" type="file" name="fileJawaban" class="form-control">
                                            <p class="text-primary">Anda telah mengirim tugas ini pada <span th:text="${#temporals.format(history.waktuPengumpulan, 'dd - MMM - yyyy HH:ss')}"></span></p>
                                            <p style="color: red;">Maksimal ukuran file 1MB </p>
                                            <p style="color: red;">Format file yang diterima hanya : doc, docx, pdf, xlsx, xls, ppt, pptx </p>
                                            <p th:if="${tugas.getTenggatWaktu() >= now}" style="color: red;">Anda mempunyai <span th:text="${kesempatanUpload}"></span> kali kesempatan upload</p>
                                        </div>
                                        <div th:if="${kesempatanUpload != null && kesempatanUpload == 0}">
                                            <a class="text-warning" th:text="${history.namaFile}" th:href="@{/collection/{jawaban}/tugas(jawaban=${history.id})}"></a>
                                            <p class="text-primary">Anda telah mengirim tugas ini pada <span th:text="${#temporals.format(history.waktuPengumpulan, 'dd - MM - yyyy HH:ss')}"></span></p>
                                            <p th:if="${tugas.getTenggatWaktu() >= now}" style="color: red;">Anda sudah tidak punya kesempatan upload</p>
                                        </div><br>
                                    </div>
                                    <h5 th:if="${tugas.getTenggatWaktu() < now}" style="color: red;">Pengumpulan tugas sudah melewati tenggat : <span th:text="${#temporals.format(tugas.getTenggatWaktu(), 'EEEE, dd MMM yyyy HH:mm', 'id')}"></span></h5>
                                    <button th:if="${(online != null || upload != null) && tugas.getTenggatWaktu() >= now}" type="submit" class="btn btn-success">Save</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div th:if="${history != null}" class="container">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="normal-table-list mg-t-30">
                    <div class="basic-tb-hd">
                        <div style="display: flex; gap: 2px;">
                            <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" class="bi bi-award" viewBox="0 0 16 16">
                                <path d="M9.669.864 8 0 6.331.864l-1.858.282-.842 1.68-1.337 1.32L2.6 6l-.306 1.854 1.337 1.32.842 1.68 1.858.282L8 12l1.669-.864 1.858-.282.842-1.68 1.337-1.32L13.4 6l.306-1.854-1.337-1.32-.842-1.68zm1.196 1.193.684 1.365 1.086 1.072L12.387 6l.248 1.506-1.086 1.072-.684 1.365-1.51.229L8 10.874l-1.355-.702-1.51-.229-.684-1.365-1.086-1.072L3.614 6l-.25-1.506 1.087-1.072.684-1.365 1.51-.229L8 1.126l1.356.702z"/>
                                <path d="M4 11.794V16l4-1 4 1v-4.206l-2.018.306L8 13.126 6.018 12.1z"/>
                            </svg>
                            <h2>Nilai : <span th:text="${history.nilai}"></span></h2>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="form-group">
                                <label>Masukan Dosen</label>
                                <textarea th:text="${history.masukan}" cols="30" rows="10" class="form-control" readonly disabled>
                                    asoajdaosijdoa
                            </textarea>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
</body>
</html>
<script>

    // tinymce
    tinymce.init({
        selector: 'textarea#jawab',
        promotion: false,
        statusbar: false,
        toolbar: 'styles | bold italic | alignleft aligncenter alignright alignjustify | ' +
            'bullist numlist| link image | print preview media fullscreen | ' +
            'forecolor backcolor emoticons | help',
        plugins: [
            'advlist', 'autolink', 'link', 'image', 'lists', 'charmap', 'preview', 'anchor', 'pagebreak',
            'searchreplace', 'wordcount', 'visualblocks', 'visualchars', 'code', 'fullscreen', 'insertdatetime',
            'media', 'table', 'emoticons', 'help'
        ],
    });
</script>